
 MultiVNC is a cross-platform Multicast-enabled VNC viewer using
 wxWidgets and libvncclient . It runs on Unix, Mac OS X and Windows.

 Features:
   * MulticastVNC ;-) 
   * Support for most encodings including Tight.
   * Several connections with one viewer using tabs.
   * Discovery of VNC servers advertising themselves via ZeroConf. 
   * Listen mode (Reverse VNC). Via tabs it's possible to listen 
     for and serve multiple incoming connections.
   * Window sharing: You can beam one of your windows to the remote
     side if they support receiving windows (run a listening viewer).
   * Seamless control of the remote side by moving pointer over the
     (default upper) screen edge. Borrows heavily from x2vnc by
     Fredrik Hübinette <hubbe@hubbe.net>, which in turn was based on
     ideas from x2x and code from vncviewer.
   * Bookmarks.
   * Simple, loggable statistics 
   * Supports server framebuffer resize.

 
 For features that are planned, but not completed yet, look at the
 TODO file.




 MulticastVNC notes
 ''''''''''''''''''
 
 This is still experimental and there is no server support, 
 however you can get a modified libvncserver/libvncclient
 at http://github.com/bk138/x11vnc-multiptr, branch multicastvnc.
 This is the same library that MultiVNC uses internally.




 How to compile from source
 ''''''''''''''''''''''''''

 The prerequisites:

   * the usual c-compiler with headers and stuff
   * wxWidgets dev package version >= 2.8.7
   * zlib dev package 
   * libjpeg dev package 

 To compile:

   $ autoreconf -i

   & ./configure

 If crosscompiling with MinGW:


   CPPFLAGS=-DWINVER=0x0501 ./configure \
   --build=<your build system type> --host=i586-mingw32msvc \
   --with-wx-config=<your win32 wx-config> \
   --with-zlib=<path to where zlib include and lib dirs are> \
   --with-jpeg=<path to where jpeglib include and lib dirs are> 
   --with-libgcrypt-prefix=<path to where zlib include and lib dirs are>

 Then


   make


 And cross fingers...


 To install:
   * 'make install' as root
   * or copy binary wherever you like to



 That's pretty much it, have fun !
